# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Attributes | List of all members
dirac::DiracByteStats Class Reference

Class DiracByteStats - for collecting statistics on aspects of the Dirac byte-stream.

`#include <dirac_byte_stats.h>`

## Public Member Functions
| DiracByteStats ()
| Constructor. More...
| DiracByteStats (const DiracByteStats &dirac_byte_stats)
| Copy constructor. More...
| ~DiracByteStats ()
| Destructor. More...
void | Clear ()
| Clears data. More...
int64_t | GetBitCount (const StatType &stat_type) const
| Gets number of bits for a particular stat-type. More...
int64_t | GetByteCount (const StatType &stat_type) const
| Gets number of bytes for a particular stat-type. More...
void | SetByteCount (const StatType &stat_type, int64_t count)
| Sets number of bytes for a particular stat-type. More...

## Private Attributes
std::map< StatType, int64_t > | m_byte_count
| Map of byte-counts. More...

## Constructor & Destructor Documentation

dirac::DiracByteStats::DiracByteStats | ( |  | ) |

dirac::DiracByteStats::DiracByteStats | ( | const DiracByteStats & | dirac_byte_stats | ) |

dirac::DiracByteStats::~DiracByteStats | ( |  | ) |

## Member Function Documentation

void dirac::DiracByteStats::Clear | ( |  | ) |

Referenced by dirac::ByteIO::CollateByteStats().

int64_t dirac::DiracByteStats::GetBitCount | ( | const StatType & | stat_type | ) | const

int64_t dirac::DiracByteStats::GetByteCount | ( | const StatType & | stat_type | ) | const

void dirac::DiracByteStats::SetByteCount | ( | const StatType & | stat_type,
|  | int64_t | count
| ) |  |

## Member Data Documentation

std::map<StatType, int64_t> dirac::DiracByteStats::m_byte_count
| private

The documentation for this class was generated from the following file:

- dirac_byte_stats.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.